<?php

namespace FiloBlu\ExtViSualMerchandiser\Block\Adminhtml\Widget\Tile\Attribute\Renderer;

use Magento\Backend\Block\Template\Context;

/**
 * Class Sku
 * @package FiloBlu\ExtViSualMerchandiser\Block\Adminhtml\Widget\Tile\Attribute\Renderer
 */
class Sku extends Renderer
{
    /**
     * @var Context
     */
    protected $context;

    /**
     * Sku constructor.
     * @param Context $context
     * @param \Magento\Framework\Escaper $escaper
     * @param array $data
     */
    public function __construct(
        Context $context,
        \Magento\Framework\Escaper $escaper,
        array $data = []
    )
    {
        parent::__construct($escaper, $data);
        $this->context = $context;
    }

    /**
     * @return string
     */
    public function render()
    {
        $url = $this->context->getUrlBuilder()->getUrl('catalog/product/edit', [ 'id' => $this->getData('product_id')]);

        return '<span class="attribute-name">' . $this->escaper->escapeHtml($this->getLabel()) . '</span>&nbsp;:&nbsp;' .
            '<span class="attribute-value"><a href="'. $url . '" target="_blank">' . $this->getValue() . '</a></span></br>';
    }
}
