<?php
/**
 * @copyright Copyright (c) 2016 https://FiloBludraji.wordpress.com
 */

namespace FiloBlu\ExtViSualMerchandiser\Ui\DataProvider\Product;

use Magento\Framework\Api\Filter;

/**
 * Class ProductDataProvider
 * @package FiloBlu\ExtViSualMerchandiser\Ui\DataProvider\Product
 */
class ProductDataProvider extends \Magento\Catalog\Ui\DataProvider\Product\ProductDataProvider
{
    /**
     * @param Filter $filter
     * @return mixed|void
     */
    public function addFilter(Filter $filter)
    {
        if ($filter->getField() === 'category_id') {
            $this->getCollection()->addCategoriesFilter(['in' => $filter->getValue()]);
        } elseif (isset($this->addFilterStrategies[$filter->getField()])) {
            $this->addFilterStrategies[$filter->getField()]
                ->addFilter(
                    $this->getCollection(),
                    $filter->getField(),
                    [$filter->getConditionType() => $filter->getValue()]
                );
        } else {
            parent::addFilter($filter);
        }
    }
}
